const puppeteer = require('puppeteer');
const http = require('http');

const hostname = '0.0.0.0';
const port = 3000;

const scenario = require('./scenario/scenario.js');

const server = http.createServer(async (req, res) => {
  const browser = await puppeteer.launch({
    args: [
      '--no-sandbox',
      '--disable-setuid-sandbox'
    ]
  });
  const page = await browser.newPage();
  const content = await scenario.run(page);
  await browser.close();

  res.statusCode = 200;
  res.setHeader('Content-Type', 'text/plain');
  res.end(content);
});

server.listen(port, hostname, () => {
  console.log(`Server running at http://${hostname}:${port}/`);
});
